Description

Currently, types of event payloads are usually determined dynamically via .getClass(). Converter selection then performs an exact
matching of this type against the data types of known converters.

We could probably improve this behavior:

Converter Selection

    1. Determine a set of applicable converters: a converter is applicable when the data type of the payload isAssignableFrom the data
type of the converter
    2. Sort the set of candidates according to the subtype relation; it is an error if this order is not total
    3. Select the most specific converter
    4. Cache the result

Payload Types

    -  When not specified, the data type of a payload is determined via .getClass()
    -  When a data type is explicitly specified, the payload object has to be an instanceof this type

Related issues:
Related to Robotics Service Bus - Enhancement # 1516: Separate Converter sele... New 05/27/2013
Related to Robotics Service Bus - Enhancement # 351: Revise Converter Selecti... New 06/09/2011

History
#1 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#2 - 03/25/2014 05:32 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#3 - 04/27/2015 11:12 AM - J. Wienke
- Target version changed from rsb-0.12 to rsb-0.13

#4 - 03/02/2016 09:43 AM - J. Moringen
- Target version changed from rsb-0.13 to rsb-0.14

#5 - 04/17/2016 07:53 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#6 - 11/07/2016 10:38 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#7 - 04/10/2017 09:01 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17
#8 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
